<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class catalogo_estado_civil

    {

        public function insert_catalogo_estado_civil($Estado_Civil, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO catalogo_estado_civil(Estado_Civil, Fecha_De_Registro, Usuario_Que_Registra, Fecha_De_Modificacion, Usuario_Que_Modifico) VALUES ('$Estado_Civil', '$Fecha_De_Registro', '$Usuario_Que_Registra', '$Fecha_De_Modificacion', '$Usuario_Que_Modifico') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='catalogo_estado_civil';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_catalogo_estado_civil($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Catalogo_Estado_Civil DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_estado_civil ORDER BY Id_Catalogo_Estado_Civil DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_estado_civil";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_catalogo_estado_civilpg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Catalogo_Estado_Civil DESC";

            }else{

                $consulta="SELECT * FROM catalogo_estado_civil ORDER BY Id_Catalogo_Estado_Civil DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_catalogo_estado_civil($Id_Catalogo_Estado_Civil, $Estado_Civil, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_estado_civil SET Id_Catalogo_Estado_Civil='$Id_Catalogo_Estado_Civil', Estado_Civil='$Estado_Civil', Fecha_De_Registro='$Fecha_De_Registro', Usuario_Que_Registra='$Usuario_Que_Registra', Fecha_De_Modificacion='$Fecha_De_Modificacion', Usuario_Que_Modifico='$Usuario_Que_Modifico' WHERE Id_Catalogo_Estado_Civil = '$Id_Catalogo_Estado_Civil'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_estado_civil';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_catalogo_estado_civil($Id_Catalogo_Estado_Civil)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM catalogo_estado_civil WHERE Id_Catalogo_Estado_Civil='$Id_Catalogo_Estado_Civil'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_estado_civil';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_catalogo_estado_civil($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_estado_civil ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM catalogo_estado_civil";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_catalogo_estado_civilpg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM catalogo_estado_civil ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_catalogo_estado_civil($Id_Catalogo_Estado_Civil)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_estado_civil WHERE Id_Catalogo_Estado_Civil='$Id_Catalogo_Estado_Civil'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_catalogo_estado_civil_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_estado_civil";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_catalogo_estado_civil($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Catalogo_Estado_Civil DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM catalogo_estado_civil WHERE Id_Catalogo_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Catalogo_Estado_Civil DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_estado_civil WHERE Id_Catalogo_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='catalogo_estado_civil';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_catalogo_estado_civilpg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_estado_civil WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Catalogo_Estado_Civil DESC";

            }else{

                $consulta="SELECT * FROM catalogo_estado_civil WHERE Id_Catalogo_Estado_Civil LIKE '%$Buscar%' || Estado_Civil LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Catalogo_Estado_Civil DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_catalogo_estado_civil($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_estado_civil WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Catalogo_Estado_Civil DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_catalogo_estado_civil($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_catalogo_estado_civil($Field,$Value,$Id_Catalogo_Estado_Civil)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_estado_civil SET $Field='$Valueinto' WHERE Id_Catalogo_Estado_Civil= '$Id_Catalogo_Estado_Civil'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_estado_civil';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_catalogo_estado_civil($Field,$Value,$Id_Catalogo_Estado_Civil)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_estado_civil SET $Field='$Value' WHERE Id_Catalogo_Estado_Civil= '$Id_Catalogo_Estado_Civil'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_estado_civil';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>